## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JV2TrapBuilder

    java.lang.Object
      org.opennms.netmgt.snmp.snmp4j.Snmp4JV2TrapBuilder

All Implemented Interfaces:
  org.opennms.netmgt.snmp.SnmpTrapBuilder

Direct Known Subclasses:
  Snmp4JV1TrapBuilder

    public class Snmp4JV2TrapBuilder

extends java.lang.Object
implements org.opennms.netmgt.snmp.SnmpTrapBuilder

Constructor Summary
`protected` `Snmp4JV2TrapBuilder(Snmp4JStrategy strategy)`
`protected` `Snmp4JV2TrapBuilder(Snmp4JStrategy strategy, org.snmp4j.PDU pdu, int type)`

Method Summary
`void` `addVarBind(org.opennms.netmgt.snmp.SnmpObjId name, org.opennms.netmgt.snmp.SnmpValue value)`
`protected org.snmp4j.PDU` `getPDU()`
`void` `send(java.lang.String destAddr, int destPort, java.lang.String community)`
`void` `sendTest(java.lang.String destAddr, int destPort, java.lang.String community)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Snmp4JV2TrapBuilder

    protected Snmp4JV2TrapBuilder(Snmp4JStrategy strategy,
                                  org.snmp4j.PDU pdu,
                                  int type)

### Snmp4JV2TrapBuilder

    protected Snmp4JV2TrapBuilder(Snmp4JStrategy strategy)

Method Detail

### getPDU

    protected org.snmp4j.PDU getPDU()

### send

    public void send(java.lang.String destAddr,
                     int destPort,
                     java.lang.String community)
              throws java.lang.Exception

  Specified by:
    `send` in interface `org.opennms.netmgt.snmp.SnmpTrapBuilder`
  Throws:
    `java.lang.Exception`

### addVarBind

    public void addVarBind(org.opennms.netmgt.snmp.SnmpObjId name,
                           org.opennms.netmgt.snmp.SnmpValue value)

  Specified by:
    `addVarBind` in interface `org.opennms.netmgt.snmp.SnmpTrapBuilder`

### sendTest

    public void sendTest(java.lang.String destAddr,
                         int destPort,
                         java.lang.String community)
                  throws java.lang.Exception

  Specified by:
    `sendTest` in interface `org.opennms.netmgt.snmp.SnmpTrapBuilder`
  Throws:
    `java.lang.Exception`

Copyright © 2010. All Rights Reserved.